Bug 853191 - setgid programs should have full RELRO
setgid programs should have full RELRO
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
18
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 853068
  Show dependency treegraph
 
Reported: 2012-08-30 12:58 EDT by Steve Grubb
Modified: 2012-12-20 11:00 EST (History)
1 user (show)

See Also:
Fixed In Version: screen-4.1.0-0.12.20120314git3c2946.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:00:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2012-08-30 12:58:41 EDT
Description of problem:
Setgid programs should have full RELRO support enabled for extra protection. It should also have gcc's PIE flag enabled, too.

FILE                                                TYPE        RELRO    PIE 
/usr/bin/screen                                     setgid      partial  no  


You can use this program for testing:
http://people.redhat.com/sgrubb/files/rpm-chksec
Comment 1 Fedora Update System 2012-09-03 04:40:00 EDT
screen-4.1.0-0.12.20120314git3c2946.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/screen-4.1.0-0.12.20120314git3c2946.fc18
Comment 2 Fedora Update System 2012-09-03 13:22:01 EDT
Package screen-4.1.0-0.12.20120314git3c2946.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing screen-4.1.0-0.12.20120314git3c2946.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13204/screen-4.1.0-0.12.20120314git3c2946.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-20 11:00:13 EST
screen-4.1.0-0.12.20120314git3c2946.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.